using UnityEngine;
using System;
using System.Collections.Generic;

public class ReligionMedium01 : RequestLetter
{
    protected override string GetTextBody()
    {
        return "A group of nomadic pagans have recently crossed the borders of our kingdoms, seeking refuge within our own lands. The church politely asks you to do something about it, for these evil infidels shouldn't be allowed to roam our holy empire.";
    }

    protected override string GetSender()
    {
        return "Father Nicholas";
    }

    protected override Attributes GetRelatedAttribute()
    {
        return Attributes.Religion;
    }

    protected override AttributeInfluenceLevel GetInfluenceLevelRequired()
    {
        return AttributeInfluenceLevel.Medium;
    }

    protected override List<Choice> GetChoices()
    {
        return new List<Choice>()
        {
            new Choice
            (
                "Burn the infidels", 
                new ResponseLetter
                (
                    "The church thanks Your Highness for ensuring that our kingdom is pure and decent.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Religion, +0.2f }, { Attributes.Diplomacy, -0.2f} }
                )
            ),
            new Choice
            (
                "Expel the pagans from your territory", 
                new ResponseLetter
                (
                    "The chuch thanks Your Highness for expeling the pagans. Just remember they'll always be a threat as long as they continue roaming our borders.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Attributes,float>() { { Attributes.Religion, +0.1f }, { Attributes.Diplomacy, -0.1f} }
                )
            ),
            new Choice
            (
                "Shelter and welcome them to your lands", 
                new ResponseLetter
                (
                    "With all respect, Your Highness, but welcoming pagans was a highly reckless decision from your part. These infidels will destroy our families from inside.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Attributes,float>() { { Attributes.Religion, -0.2f }, { Attributes.People, +0.1f} }
                )
            )
        };
    }
}